Package org.pushingpixels.substance.flamingo.bcb.ui

# Class SubstanceBreadcrumbBarUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.bcb.BreadcrumbBarUI
org.pushingpixels.flamingo.internal.ui.bcb.BasicBreadcrumbBarUI
org.pushingpixels.substance.flamingo.bcb.ui.SubstanceBreadcrumbBarUI

public class SubstanceBreadcrumbBarUI extends org.pushingpixels.flamingo.internal.ui.bcb.BasicBreadcrumbBarUI
UI delegate for breadcrumb bar.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.bcb.BasicBreadcrumbBarUI

`org.pushingpixels.flamingo.internal.ui.bcb.BasicBreadcrumbBarUI.BreadcrumbBarLayout`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.bcb.BasicBreadcrumbBarUI

`breadcrumbBar, buttonStack, componentListener, dummy, mainPanel, modelStack, pathListener, scrollerPanel`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceBreadcrumbBarUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installDefaults(org.pushingpixels.flamingo.api.bcb.JBreadcrumbBar bar)`
`protected void`
`uninstallDefaults(org.pushingpixels.flamingo.api.bcb.JBreadcrumbBar bar)`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.bcb.BasicBreadcrumbBarUI

`createLayoutManager, installComponents, installListeners, installUI, pushChoice, pushChoices, pushChoices, uninstallComponents, uninstallListeners, uninstallUI, updateComponents`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceBreadcrumbBarUI

public SubstanceBreadcrumbBarUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installDefaults

protected void installDefaults(org.pushingpixels.flamingo.api.bcb.JBreadcrumbBar bar)

Overrides:
  `installDefaults` in class `org.pushingpixels.flamingo.internal.ui.bcb.BasicBreadcrumbBarUI`

### uninstallDefaults

protected void uninstallDefaults(org.pushingpixels.flamingo.api.bcb.JBreadcrumbBar bar)

Overrides:
  `uninstallDefaults` in class `org.pushingpixels.flamingo.internal.ui.bcb.BasicBreadcrumbBarUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`